%define name    ec 
%define version 4.2.1
%define release mdv2009.0 
%define summary	A program to play chess.
Name:           %{name} 
Summary: 	%{summary}
Version:        %{version} 
Release:        %{release} 
Source0:        %{name}-%{version}.tar.gz 
Group:          Games/Boards 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires(post): desktop-file-utils  
Requires(postun): desktop-file-utils 

License:        GPL 

%description
Chess engine.
You can play with a console type interface.

%prep 
%setup -q -a 0 

%build 
%configure 
%make

%install
rm -rf %{buildroot}%makeinstall
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%name
Comment=%{summary}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=true
Type=Application
Categories=ConsoleOnly;Game;BoardGame;; 
StartupNotify=false
EOF

mkdir -p %{buildroot}{%_liconsdir,%_miconsdir}
cp icon/ec_22x22.png %{buildroot}%_iconsdir/%name.png
cp icon/ec_16x16.png %{buildroot}%_miconsdir/%name.png
cp icon/ec_32x32.png %{buildroot}%_liconsdir/%name.png

%find_lang %{name}

%clean 
rm -rf %{buildroot}ORROOT 

%files -f %{name}.lang
%defattr(0755,root,root) 
%doc NEWS README COPYING ChangeLog readme.txt lesenSie.txt lisezmoi.txt
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%_datadir/applications/mandriva*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%post 
%{update_desktop_database} 
%postun 
%{clean_desktop_database}
            

%changelog 
* Sun Apr 17 2016 Marc Dechico
- Adaptation for rel 4.2.1
* Thu Mar 5 2009 Marc Dechico
- Created the rpmspec for mdv
